summaryrefslogtreecommitdiffstats
path: root/jjb
diff options
context:
space:
mode:
Diffstat (limited to 'jjb')
-rwxr-xr-xjjb/fuel/fuel-deploy-virtual.sh14
-rw-r--r--jjb/opnfv/slave-params.yml6
2 files changed, 14 insertions, 6 deletions
diff --git a/jjb/fuel/fuel-deploy-virtual.sh b/jjb/fuel/fuel-deploy-virtual.sh
index 1b644354b..7c25812ec 100755
--- a/jjb/fuel/fuel-deploy-virtual.sh
+++ b/jjb/fuel/fuel-deploy-virtual.sh
@@ -11,14 +11,24 @@ echo "Using $(echo $OPNFV_ARTIFACT_URL | cut -d'/' -f3) for deployment"
# create TMPDIR if it doesn't exist
export TMPDIR=$HOME/tmpdir
-[[ -d $TMPDIR ]] || mkdir -p $TMPDIR
+mkdir -p $TMPDIR
# change permissions down to TMPDIR
chmod a+x $HOME
chmod a+x $TMPDIR
+# get the lab name from SLAVE_NAME
+# we currently support ericsson and intel labs
+LAB_NAME=${{SLAVE_NAME%%-*}}
+if [[ ! "$LAB_NAME" =~ (ericsson|intel) ]]; then
+ echo "Unsupported/unidentified lab $LAB_NAME. Cannot continue!"
+ exit 1
+else
+ echo "Using configuration for $LAB_NAME"
+fi
+
# set CONFDIR, BRIDGE
-CONFDIR=$WORKSPACE/deploy/templates/virtual_environment_noha/conf
+CONFDIR=$WORKSPACE/deploy/templates/$LAB_NAME/virtual_environment/noha/conf
BRIDGE=pxebr
# log info to console
diff --git a/jjb/opnfv/slave-params.yml b/jjb/opnfv/slave-params.yml
index 576f605d8..43edcc2ca 100644
--- a/jjb/opnfv/slave-params.yml
+++ b/jjb/opnfv/slave-params.yml
@@ -336,12 +336,10 @@
description: 'Slave name on Jenkins'
allowed-slaves:
- intel-us-deploy-virtual-1
-# ericsson slave has been excluded until the issues are identified and solved
-# - ericsson-ca-deploy-virtual-1
+ - ericsson-ca-deploy-virtual-1
default-slaves:
- intel-us-deploy-virtual-1
-# ericsson slave has been excluded until the issues are identified and solved
-# - ericsson-ca-deploy-virtual-1
+ - ericsson-ca-deploy-virtual-1
- string:
name: GIT_BASE
default: https://gerrit.opnfv.org/gerrit/$PROJECT